# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/msgfmt libpcre-devel
# END SourceDeps(oneline)
Name:           diction
Version:        1.11
Release:        alt1_8
Summary:        Identifies diction and style errors

Group:          Text tools
License:        GPLv3+
URL:            http://www.gnu.org/software/diction/diction.html
Source0:        http://ftp.gnu.org/gnu/diction/diction-%{version}.tar.gz

BuildRequires:  gettext
Source44: import.info

%description
Diction and style are two old standard UNIX commands. Diction identifies wordy
and commonly misused phrases. Style analyses surface characteristics of a
document, including sentence length and other readability measures.

These programs cannot help you structure a document well, but they can help to
avoid poor wording and compare the readability (not the understandability!) of
your documents with others. Both commands support English and German documents.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
# convert manpages to unicode
for FILE in *.1; do
    /usr/bin/iconv -f iso-8859-1 -t utf-8 $FILE > $FILE.utf8
    mv -f $FILE.utf8 $FILE
done


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%files -f %{name}.lang
%doc COPYING README NEWS
%{_bindir}/*
%{_datadir}/diction
%{_mandir}/man*/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_8
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_7
- converted for ALT Linux by srpmconvert tools

